﻿@model  Select2CondicaoViewModel

@if (!Model.tipoPesquisa)
{
    if (Model.viewCode)
    {
        <div class="@(Model.clasColInput != null ? Model.clasColInput : "col-md-2")">
            <input id="@Model.idControleInput" type="text" class="form-control numeric" maximo="8">
        </div>
    }
    <div class="@(Model.clasColSelect != null ? Model.clasColSelect : "col-md-5")">
        <div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
    </div>
}
else
{
    <div class="campos-group">
        @if (Model.viewCode)
        {
            <input id="@Model.idControleInput" type="text" class="ctrl-filtro numerico" maximo="5" placeholder="Pesquisar Código..." />
            <i class="material-icons">more_vert</i>
        }
        <div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
    </div>
}

<script type="text/javascript">
	$(function () {
		with (new ComponenteSelect2()) {
			with (modelo) {
				ajaxPostApiURL = '@Url.Content("~/api/Select2Condicao/ObterCondicao")';
				idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
				idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "DESCNDCMC";
                textoInicial = "Selecione uma Condição"; 
                jsonTexto = "DESCNDCMC";
                jsonValor = "CODCNDCMC";
				caracteresMinimos = 0;
			}
			inicializar(null);
		}


        $("#@Model.idControleInput").keypress(function (e) {
            if (e.which == 13) {
                if ($(this).val().length > 0) {
                    //
                    with (new ComponenteAJAXFactory()) {
                        with (modelo) {
                            ajaxSuccessCallbackMethod = function (data) {
                                var bEach = false;
                                $(data).each(function (idx, dat) {
                                    bEach = true;
                                    $("#@Model.idControleSelect2").select2("trigger", "select", {
                                        data: { id: dat.CODCNDCMC, text: dat.DESCNDCMC }
                                    });
                                    return;
                                });
                                if (!bEach) {
                                    swal('Verificar!', 'Condição não encontrado!');
                                    setCustomIcon('fa fa-window-close');
                                    $("#@Model.idControleInput").val('');
                                    $("#@Model.idControleSelect2").empty().change();
                                }
                            };
                            ajaxURL = '@Url.Content("~/api/Select2Condicao/ObterCondicao")';
                            async = true;
                            with (addidsEnviarRequisicaoAjax) { idJsonEnviar = "@Model.idControleInput", nomeJsonEnviar = "CODCNDCMC", tipoJsonEnviar = 'tipoNumerico' };
                        }
                        inicializar(null);
                    }
                    //
                }

            }

		});
    });

</script>
